From: =?utf-8?q?David_Pr=C3=A9vot?= <taffit@debian.org>
Date: Thu, 25 Jul 2024 23:09:58 +0900
Subject: Mark Data Provider methods as static

Bug-Debian: https://bugs.debian.org/1039775
Bug-Debian: https://bugs.debian.org/1070541
---
 tests/MabeEnumTest/EnumSetIteratorTest.php | 2 +-
 tests/MabeEnumTest/EnumSetTest.php         | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/MabeEnumTest/EnumSetIteratorTest.php b/tests/MabeEnumTest/EnumSetIteratorTest.php
index 39f9a34..ed98c64 100644
--- a/tests/MabeEnumTest/EnumSetIteratorTest.php
+++ b/tests/MabeEnumTest/EnumSetIteratorTest.php
@@ -107,7 +107,7 @@ class EnumSetIteratorTest extends TestCase
      * Data provider for all available integer enumerators
      * @return array<int, array<int, class-string<Enum>>>
      */
-    public function getIntegerEnumerations(): array
+    public static function getIntegerEnumerations(): array
     {
         return [
             [Enum31::class],
diff --git a/tests/MabeEnumTest/EnumSetTest.php b/tests/MabeEnumTest/EnumSetTest.php
index 0f2244d..f6fe5c7 100644
--- a/tests/MabeEnumTest/EnumSetTest.php
+++ b/tests/MabeEnumTest/EnumSetTest.php
@@ -261,7 +261,7 @@ class EnumSetTest extends TestCase
      * Data provider for all available integer enumerators
      * @return array<int, array<int, class-string<Enum>>>
      */
-    public function getIntegerEnumerations(): array
+    public static function getIntegerEnumerations(): array
     {
         return [
             [Enum31::class],
